Package org.eclipse.swt.internal

# Class StrictChecks

java.lang.Object
org.eclipse.swt.internal.StrictChecks

public final class StrictChecks extends Object

## Method Summary

Modifier and Type
Method
Description
`static void`
`runIfStrictChecksEnabled(Runnable runnable)`
`static void`
`runWithStrictChecksDisabled(Runnable runnable)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### runIfStrictChecksEnabled

public static void runIfStrictChecksEnabled(Runnable runnable)

### runWithStrictChecksDisabled

public static void runWithStrictChecksDisabled(Runnable runnable)